> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar cuentas contables

> Lista el plan de cuentas disponible para asientos y reportes contables.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/accounting/accounts
openapi: 3.1.0
info:
  title: La Pyme API
  description: >-
    Resources and workflows for purchases, sales, inventory, contacts, products,
    reports, and settings.
  version: 1.0.0
  contact:
    name: La Pyme Support
    email: hola@lapyme.com.ar
  license:
    name: Proprietary
    url: https://lapyme.com.ar/terminos
servers:
  - url: https://api.lapyme.com.ar
    description: Servidor de producción
security:
  - bearerAuth: []
tags:
  - name: API
    description: Public API operations for La Pyme integrations.
paths:
  /api/v1/accounting/accounts:
    get:
      tags:
        - API
      summary: Listar cuentas contables
      description: Lista el plan de cuentas disponible para asientos y reportes contables.
      operationId: listApiAccountingAccounts
      parameters:
        - name: include_inactive
          in: query
          required: false
          schema:
            default: false
            type: boolean
        - name: is_active
          in: query
          required: false
          schema:
            type: boolean
        - name: is_postable
          in: query
          required: false
          schema:
            type: boolean
        - name: type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ApiSharedEnum5433445ffc'
        - name: parent_id
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: system_role
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ApiSharedEnum87e38e3147'
        - name: is_inflation_adjustable
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Cuentas listadas exitosamente
          content:
            application/json:
              schema:
                type: object
                properties:
                  request_id:
                    type: string
                  object:
                    $ref: '#/components/schemas/ApiSharedEnume0cf0306aa'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ApiAccountingAccount'
                  has_more:
                    type: boolean
                  next_cursor:
                    type:
                      - string
                      - 'null'
        '400':
          description: Solicitud inválida
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Solicitud inválida
                      retryable: false
                      details: []
        '401':
          description: API key faltante o inválida
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: API key faltante o inválida
                      retryable: false
                      details: []
        '403':
          description: Scope insuficiente o contabilidad no habilitada
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Scope insuficiente o contabilidad no habilitada
                      retryable: false
                      details: []
        '429':
          description: Límite de solicitudes excedido para la organización
          headers:
            Retry-After:
              description: Segundos a esperar antes de volver a intentar la solicitud.
              schema:
                type: string
                example: '30'
            X-RateLimit-Limit:
              description: Límite de la ventana activa.
              schema:
                type: string
                example: '5000'
            X-RateLimit-Remaining:
              description: Solicitudes restantes en la ventana activa.
              schema:
                type: string
                example: '0'
            X-RateLimit-Reset:
              description: Segundos restantes hasta el reset de la ventana activa.
              schema:
                type: string
                example: '30'
            RateLimit-Limit:
              description: Límite de la ventana activa en formato estándar.
              schema:
                type: string
                example: '5000'
            RateLimit-Remaining:
              description: Solicitudes restantes en la ventana activa en formato estándar.
              schema:
                type: string
                example: '0'
            RateLimit-Reset:
              description: >-
                Segundos hasta el reset de la ventana activa en formato
                estándar.
              schema:
                type: string
                example: '30'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: RATE_LIMITED
                  value:
                    request_id: req_rate_limit_1
                    error:
                      type: rate_limit_error
                      code: RATE_LIMITED
                      message: >-
                        The organization request limit was reached. Try again
                        later.
                      retryable: true
                      details: []
        '500':
          description: Error interno del servidor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Error interno del servidor
                      retryable: false
                      details: []
components:
  schemas:
    ApiSharedEnum5433445ffc:
      type: string
      enum:
        - asset
        - liability
        - equity
        - revenue
        - expense
    ApiSharedEnum87e38e3147:
      type: string
      enum:
        - ar
        - ap
        - vat_credit
        - vat_debit
        - revenue
        - cogs
        - merchandise
        - values_to_deposit
        - cash_in_transit
        - deferred_checks_payable
        - bounced_checks
        - check_discount_expense
        - card_pending
        - card_commission
        - cash_differences
        - customer_advances
        - supplier_advances
        - wh_vat_suffered
        - iibb_credits_suffered
        - wh_income_tax_suffered
        - wh_suss_suffered
        - wh_stamps_suffered
        - wh_vat_payable
        - wh_iibb_payable
        - wh_income_tax_payable
        - wh_suss_payable
        - perc_vat_suffered
        - perc_vat_payable
        - perc_iibb_payable
        - purchases_non_taxable
        - sales_non_taxable
        - discounts_received
        - taxes_expense
        - misc_expense
        - stock_adjustment_positive
        - stock_adjustment_negative
        - exchange_difference
        - recpam
        - fiscal_year_result
        - capital_adjustment
    ApiSharedEnume0cf0306aa:
      type: string
      enum:
        - list
    ApiAccountingAccount:
      type: object
      properties:
        object:
          type: string
          const: account
        id:
          type: string
          format: uuid
        code:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        type:
          $ref: '#/components/schemas/ApiSharedEnum5433445ffc'
        normal_balance:
          $ref: '#/components/schemas/ApiSharedEnum1d20f1f7e9'
        system_role:
          anyOf:
            - $ref: '#/components/schemas/ApiSharedEnum87e38e3147'
            - type: 'null'
        is_active:
          type: boolean
        is_postable:
          type: boolean
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        income_statement_category:
          anyOf:
            - $ref: '#/components/schemas/ApiSharedEnuma6084829bf'
            - type: 'null'
        is_inflation_adjustable:
          type: boolean
      required:
        - object
        - id
        - code
        - name
        - description
        - type
        - normal_balance
        - system_role
        - is_active
        - is_postable
        - parent_id
        - income_statement_category
        - is_inflation_adjustable
      additionalProperties: false
    ApiErrorEnvelope:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - api_error
                - authentication_error
                - authorization_error
                - business_error
                - external_dependency_error
                - idempotency_error
                - invalid_request_error
                - rate_limit_error
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: array
              items:
                $ref: '#/components/schemas/ApiSharedObjectc671832641'
          required:
            - type
            - code
            - message
            - retryable
            - details
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
    ApiSharedEnum1d20f1f7e9:
      type: string
      enum:
        - debit
        - credit
    ApiSharedEnuma6084829bf:
      type: string
      enum:
        - revenue
        - cogs
        - operating_expense
        - depreciation_amortization
        - other_operating_income
        - other_operating_expense
        - financial_income
        - financial_expense
        - income_tax
    ApiSharedObjectc671832641:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        field:
          type: string
      required:
        - code
        - message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Incluí tu API key en el header Authorization con el prefijo Bearer.

````